// Update NOSE itself and restart.

import { $ } from "bun"
import restart from "./restart"

export default async function () {
  if (process.env.NODE_ENV !== "production") {
    return { error: "Can only update in production." }
  }

  const { stdout } = await $`cd .. && git pull`.quiet()
  const out = stdout.toString()

  if (/up to date/.test(out)) {
    return "Up to date."
  } else {
    return restart()
  }
}